Skip to content

Subscription

All operations require authentication.

5 operationsv1/domain/zone
Agent setup

Get subscriptionProduction

GET
/1.0/domain/zone/{zoneName}/serviceInfos

Returns contacts, creation and expiration dates, and renewal settings.

Path parameters

zoneName
required
string

Zone name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update renewal settingsProduction

PUT
/1.0/domain/zone/{zoneName}/serviceInfos

Changes how the service renews; renew is the only editable field.

Path parameters

zoneName
required
string

Zone name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Change contactsProduction

POST
/1.0/domain/zone/{zoneName}/changeContact

Starts the change of the admin, tech or billing contact and returns the request IDs.

Path parameters

zoneName
required
string

Zone name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Request terminationProduction

POST
/1.0/domain/zone/{zoneName}/terminate

Emails a termination token to the admin contact, to use with Confirm termination.

Path parameters

zoneName
required
string

Zone name

Response

200stringsuccessful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm terminationProduction

POST
/1.0/domain/zone/{zoneName}/confirmTermination

Confirms the termination with the token sent by email. The reason and comments are optional.

Path parameters

zoneName
required
string

Zone name

Request body (required)

commentary
string

Commentary about your termination request

commentaryFutureUse
string

Commentary about your future use

commentaryReason
string

Commentary about your reason for termination request

futureUse
TerminationFutureUseEnum

All future uses you can provide for a service termination

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

All reasons you can provide for a service termination

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"